Subject: What's the difference between mod_php4, mod_php, and php?

From: [email-masked] (Mark Berkwitt)
Date: Sun, 15 Sep 2002 11:24:51 -0700

/etc/rc.d/init.d/httpd status
httpd is stopped
So I tried 
/etc/rc.d/init.d/httpd start
Starting httpd:      [ OK ]         //After logging in as admin.
YOOHOO! Now http://127.0.0.1/index.html  yields something.
Thanks, this is so exciting. What next? 

On Sunday 15 September 2002 10:42 am, Kevin Brown wrote:
> Did you verify if apache is running?
>
> /etc/rc.d/init.d/httpd status
>
> Apache has to be running to serve pages.  Also, you have to create the php
> page (hence having you open it with vi).
>
> > Oops. There is no file index.php.  I was looking into index.html, which
> > if fed into the browser via 127.0.0.1/index.html generates the same error
> > message.
> >
> > On Sunday 15 September 2002 10:07 am, Mark Berkwitt wrote:
> > > First, I tried using 127.0.0.1/index.php in the browser and I received
> > > the following error:
> > > An error occured while loading http://127.0.0.1/index.php:
> > >
> > > Could not connect to host 127.0.0.1
> > >
> > > I suppose I should note that I have k12LTSP (Redhat) installed with 2
> > > nics where one goes to my cable modem and the other is set to a local
> > > 192. etc, should this matter, which I doubt.
> > >
> > > I've scanned the file /var/www/html/index.php as you suggested and I
> > > don't see the entry 'phpinfo()'. I thought since I had checked the
> > > entry to install 'server' packages that apache would be running.
> > > Is there a test to see if apache is running, let alone if it's running
> > > with php support?
> > >
> > > On Sunday 15 September 2002 08:10 am, Kevin Brown wrote:
> > > > What distro are you running?  RedHat hasn't had a mod_php module
> > > > since RH5.2. PHP 4.1.2 is PHP4.  To see if it is working with your
> > > > apache server:
> > > >
> > > > In your web root folder (most likely /var/www/html for RH7.3)
> > > > vi index.php
> > > > <? phpinfo() ?>